h35197
s 00104/00000/00000
d D 1.1 83/03/02 17:47:53 mjb 1 0
c date and time created 83/03/02 17:47:53 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine graph6
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Manage the GRAPH menu selection and actions for        #
#               menu overlay 3                                         #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer i, item
SHORTINT bitem

integer iclear, jump, jmpary(MAXxJUMP)

include(`gphcom')

data jmpary /JUMPxTABLE/

call chgmod (ENTERxGRAPHICSxMODE)

iclear = NO
call apmenu (mid, iclear)

action = NUL

if (mid != ANNOTATE) {
   call ctxatt (1)
   call mnumvl (bitem)
   return
   }

if (mid == ANNOTATE) {
   call ctxatt (0)
   call apdata(1, FOREVER)
   }

repeat {
   call selitm (mid, item)
   bitem = item
   jump = MAXxJUMP
   do i=1, MAXxJUMP {
      if (mid == jmpary(i)) {
         jump = i
         break
         }
      }

   go to (JUMPxTABLE), jump

   MAINxMENU continue

   CREATExNEWxCHART continue

   DATAxINPUTxMODE continue 

   MULTIPLExCHARTSxPERxPAGE continue 

   DEVICExSELECTION continue

   PIExEDIT continue 

   ADVANCEDxPIExEDIT continue 

   GRAPHxDATAxFRAME continue

   GRAPHxEDIT continue 

   ADVANCEDxGRAPHxEDIT continue 

   NUMERICxAXESxEDIT continue 

   PERIODICxAXESxEDIT continue 
      go to OTHERxWISE

   ANNOTATE continue 
      call mnuano (bitem)
      go to OTHERxWISE

   MOVExLEGEND continue
      go to OTHERxWISE

   DATAxACCESSxMETHOD continue 

   OTHERxWISE continue

   } until (action != 0)

return
end
E 1
